#### budibase

##### Information
Site : https://budibase.com/

Source : https://github.com/Budibase/budibase

##### Install

```bash
apt update
apt install -y --no-install-recommends curl apt-transport-https gnupg wget ca-certificates

wget -qO - https://deb.lgy.fr/install.sh | bash
wget -qO - https://deb.nodesource.com/setup_16.x | bash
echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" > /etc/apt/sources.list.d/yarn.list
wget -qO - https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor  > /usr/share/keyrings/yarnkey.gpg

curl https://couchdb.apache.org/repo/keys.asc | gpg --dearmor > /usr/share/keyrings/couchdb-archive-keyring.gpg
source /etc/os-release
echo "deb [signed-by=/usr/share/keyrings/couchdb-archive-keyring.gpg] https://apache.jfrog.io/artifactory/couchdb-deb/ ${VERSION_CODENAME} main" > /etc/apt/sources.list.d/couchdb.list 

apt update
apt install -y --no-install-recommends couchdb yarn nodejs nginx redis-server minio budibase


apt install unzip  -y
wget https://github.com/cloudant-labs/clouseau/releases/download/2.21.0/clouseau-2.21.0-dist.zip 
unzip clouseau-2.21.0-dist.zip 
mv clouseau-2.21.0 /opt/clouseau
wget -qO /opt/clouseau/clouseau.ini https://github.com/Budibase/budibase/raw/develop/hosting/single/clouseau/clouseau.ini
wget -qO /opt/clouseau/log4j.properties https://github.com/Budibase/budibase/raw/develop/hosting/single/clouseau/log4j.properties

wget https://download.java.net/openjdk/jdk7u75/ri/jdk_ri-7u75-b13-linux-x64-18_dec_2014.tar.gz -qO - | tar -zx -C /opt/

/opt/java-se-7u75-ri/bin/java -server \
     -Xmx2G \
     -Dsun.net.inetaddr.ttl=30 \
     -Dsun.net.inetaddr.negative.ttl=30 \
     -Dlog4j.configuration=file:/opt/clouseau/log4j.properties \
     -XX:OnOutOfMemoryError="kill -9 %p" \
     -XX:+UseConcMarkSweepGC \
     -XX:+CMSParallelRemarkEnabled \
     -classpath '/opt/clouseau/*' \
     com.cloudant.clouseau.Main \
     /opt/clouseau/clouseau.ini


cat <<EOF > /etc/default/minio
MINIO_ACCESS_KEY=DruccokdudaufElWuejyeerog-Anphoj
MINIO_SECRET_KEY=NorcyagOovLadjonCekUthgeOcyuFrac
MINIO_BROWSER=off
EOF
wget -qO /etc/nginx/sites-enabled/default https://github.com/Budibase/budibase/raw/develop/hosting/single/nginx/nginx-default-site.conf
wget -qO /etc/nginx/nginx.conf https://github.com/Budibase/budibase/raw/develop/hosting/single/nginx/nginx.conf


echo requirepass neddOryianquasJuwrav2DrokVuWeac >> /etc/redis/redis.conf

systemctl restart couchdb minio nginx redis budibase-worker budibase-server
```

